Loading...
Searching...
No Matches
delayed_controls.h File Reference

Helper to deal with controls that take effect with a delay. More...

`#include <stdint.h>`
`#include <unordered_map>`
`#include <libcamera/base/object.h>`
`#include <libcamera/controls.h>`
Include dependency graph for delayed_controls.h:

Go to the source code of this file.

## Classes

class | libcamera::DelayedControls
| Helper to deal with controls that take effect with a delay. More...
struct | libcamera::DelayedControls::ControlParams
| Parameters associated with controls handled by the DelayedControls helper class. More...

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

Helper to deal with controls that take effect with a delay.